import suiAnalytics from './segmentWrapper'
import clickListener from './clickListener'
import idSync from './dmp/idSync'
import visitorIdHandler from './visitorIdHandler'
import {onLoad as retryDMPtrack} from './dmp/track'

const loader = async () => {
  const {infojobsVisitorId, adobeVisitorId} = await visitorIdHandler()
  window.rubik = window.rubik || {}
  window.rubik.analytics = suiAnalytics({
    visitorId: infojobsVisitorId
  })

  idSync({infojobsVisitorId, adobeVisitorId})
  clickListener()
  retryDMPtrack()
}

export default loader
